/*
 * Copyright 2002-2006 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.springframework.jee.config;

import org.springframework.transaction.PlatformTransactionManager;

/**
 * A simple javabean implemention (useful in tests) of ServiceEnvironment.
 * 
 * @author Costin Leau
 * 
 */
public class SimpleServiceEnvironment implements ServiceEnvironment {

	private PlatformTransactionManager transactionManager;

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.springframework.jee.inject.ServiceEnvironment#getTransactionManager()
	 */
	public PlatformTransactionManager getTransactionManager() {
		return transactionManager;
	}

	/**
	 * @param transactionManager
	 *            The transactionManager to set.
	 */
	public void setTransactionManager(PlatformTransactionManager transactionManager) {
		this.transactionManager = transactionManager;
	}

	public SimpleServiceEnvironment() {
	};

	public SimpleServiceEnvironment(PlatformTransactionManager transactionManager) {
		this.transactionManager = transactionManager;
	}
}
