/*
 * Copyright 2002-2006 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.springframework.jee.inject;

/**
 * Simple interface implementation, useful as a base class.
 * 
 * @author Costin Leau
 * 
 */
public class BasicInjectionInfo implements InjectionInfo {

	private static final String INJECTION_NAME = "generic";

	protected String name;

	protected Class type;

	/**
	 * Constructor useful for subclasses.
	 */
	protected BasicInjectionInfo() {
	}

	public BasicInjectionInfo(String name, Class type) {
		this.name = name;
		this.type = type;
	}

	public String getName() {
		return name;
	}

	public Class getType() {
		return type;
	}

	@Override
	public String toString() {
		return getClass().getSimpleName() + ": name='" + name + "'; type='" + type + "'";
	}

	public String getInjectionName() {
		return INJECTION_NAME;
	}
}
