/*
 * Copyright 2002-2006 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.springframework.jee.validation;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;


/**
 * Base abstract implementation of SpecificationRule.
 * 
 * @author Rod Johnson
 *
 */
public abstract class AbstractSpecificationRule implements SpecificationRule {
	
	protected final Log log = LogFactory.getLog(getClass());
	
	private int subheading;
	
	private int heading;
	
	private int chapter;

	protected void init(int chapter, int heading, int subheading) {
		this.chapter = chapter;
		this.heading = heading;
		this.subheading = subheading;
	}

	public final int getChapter() {
		return chapter;
	}

	public final int getHeading() {
		return heading;
	}

	public final int getSubheading() {
		return subheading;
	}

}
