package org.springframework.jee.inject;

import javax.annotation.Resource;
import javax.annotation.Resources;
import javax.ejb.SessionContext;
import javax.transaction.UserTransaction;

import sample.ExposeInjected;

/**
 * @author Costin Leau
 *
 */
@Resources ({
    @Resource(name="sessionContext", type=javax.ejb.SessionContext.class),
    @Resource(name="utx", type=javax.transaction.UserTransaction.class)
})
public class ResourcesBean implements ExposeInjected {
	
    private SessionContext sessionContext;
	
	private UserTransaction utx;

	public SessionContext getSessionContext() {
		return this.sessionContext;
	}

	public UserTransaction getUserTransaction() {
		return this.utx;
	}

	public Object lookup(String name) {
		return sessionContext.lookup(name);
	}

	/* (non-Javadoc)
	 * @see sample.ExposeInjected#selfInvoke(int)
	 */
	public int selfInvoke(int value) {
		throw new UnsupportedOperationException();
	}
}
