/**
 * 
 */
package org.springframework.jee.intercept;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.ejb.CreateException;
import javax.interceptor.AroundInvoke;
import javax.interceptor.InvocationContext;

import org.springframework.jee.transaction.BusinessInterface;

/**
 * Bean that can intercept itself.
 * 
 * @author Costin Leau
 * 
 */
public class BaseSelfInterceptBean implements BusinessInterface {

	public static int baseSelfCount = 0; 
	
	public static boolean basePreDestroy = false;
	public static boolean basePostConstruct = false;
	
	public void simpleMethod() {

	}

	public void methodWithException() throws Exception {
	}

	public void methodWithApplicationException() throws NoSuchMethodException {
	}

	public void methodWithError() throws Error {
	}

	public void methodWithMultipleExceptions() throws NoSuchFieldException, UnsupportedOperationException,
			IllegalArgumentException, InterruptedException, CreateException {
	}

	@AroundInvoke
	public void baseSelfAroundInvoke(InvocationContext ic) throws Throwable {
		baseSelfCount++;
		ic.proceed();
	}
	
	@PreDestroy
	private void basePreDestroy() {
		basePreDestroy = true;
	}

	@PostConstruct
	private void basePostConstruct() {
		basePostConstruct = true;
	}

	/**
	 * @return Returns the basePostConstruct.
	 */
	public boolean isBasePostConstruct() {
		return basePostConstruct;
	}

	/**
	 * @return Returns the basePreDestroy.
	 */
	public boolean isBasePreDestroy() {
		return basePreDestroy;
	}
}
