/**
 * 
 */
package org.springframework.jee.intercept;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.interceptor.AroundInvoke;
import javax.interceptor.InvocationContext;

/**
 * @author Costin Leau
 * 
 */
public class ChildSelfInterceptBean extends SelfInterceptBean {

	public static int childSelfCount = 0;

	public static boolean childPreDestroy = false;

	public static boolean childPostConstruct = false;

	@AroundInvoke
	public void childSelfAroundInvoke(InvocationContext ic) throws Throwable {
		childSelfCount++;
		ic.proceed();
	}

	@PreDestroy
	private void preDestroy() {
		childPreDestroy = true;
	}

	@PostConstruct
	private void postConstruct() {
		childPostConstruct = true;
	}

	/**
	 * @return Returns the childPostConstruct.
	 */
	public boolean isChildPostConstruct() {
		return childPostConstruct;
	}

	/**
	 * @return Returns the childPreDestroy.
	 */
	public boolean isChildPreDestroy() {
		return childPreDestroy;
	}
}
