/**
 * 
 */
package org.springframework.jee.intercept;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.annotation.Resource;
import javax.interceptor.AroundInvoke;
import javax.interceptor.InvocationContext;

import sample.EngineControl;

/**
 * @author Costin Leau
 * 
 */
public class DefaultNephewInterceptorWithDependencies extends DefaultChildInterceptorWithDependencies {

	public static int nephewCount;

	public static boolean nephewPostConstruct = false;

	public static boolean nephewPreDestroy = false;

	@Resource
	private EngineControl nephewEngineControl;

	@AroundInvoke
	public Object countNephewCall(InvocationContext ic) throws Exception {
		if (nephewEngineControl == null) {
			throw new IllegalStateException("Interceptor with dependencies was not injected");
		}
		++nephewCount;

		order.add(this.getClass());

		return ic.proceed();
	}

	@PostConstruct
	public void nephewPostConstruct(InvocationContext ic) {
		nephewPostConstruct = true;
	}

	@PreDestroy
	public void newphewPreDestroy(InvocationContext ic) {
		nephewPreDestroy = true;
	}

}
