package org.springframework.jee.intercept;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.interceptor.AroundInvoke;
import javax.interceptor.InvocationContext;

/**
 * 
 * @author Costin Leau
 * 
 */
public class SelfInterceptBean extends BaseSelfInterceptBean {

	public static int selfCount = 0;

	public static boolean preDestroy = false;

	public static boolean postConstruct = false;

	@AroundInvoke
	public void selfAroundInvoke(InvocationContext ic) throws Throwable {
		selfCount++;
		ic.proceed();
	}

	@PreDestroy
	private void childPreDestroy() {
		preDestroy = true;
	}

	@PostConstruct
	private void childPostConstruct() {
		postConstruct = true;
	}

	/**
	 * @return Returns the childPostConstruct.
	 */
	public boolean isPostConstruct() {
		return postConstruct;
	}

	/**
	 * @return Returns the childPreDestroy.
	 */
	public boolean isPreDestroy() {
		return preDestroy;
	}
	
	

}
