/**
 * 
 */
package org.springframework.jee.transaction;

import javax.ejb.CreateException;

/**
 * Delegate identical to StatelessBean but which doesn't contain any annotation.
 * 
 * @author Costin Leau
 * 
 */
public class DelegateBean implements BusinessInterface {

	private BusinessInterface delegate;

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.springframework.jee.transaction.BusinessInterface#methodWithApplicationException()
	 */
	public void methodWithApplicationException() throws NoSuchMethodException {
		delegate.methodWithApplicationException();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.springframework.jee.transaction.BusinessInterface#methodWithError()
	 */
	public void methodWithError() throws Error {
		delegate.methodWithError();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.springframework.jee.transaction.BusinessInterface#methodWithException()
	 */
	public void methodWithException() throws Exception {
		delegate.methodWithException();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.springframework.jee.transaction.BusinessInterface#methodWithMultipleExceptions()
	 */
	public void methodWithMultipleExceptions() throws NoSuchFieldException, UnsupportedOperationException,
			IllegalArgumentException, InterruptedException, CreateException {
		delegate.methodWithMultipleExceptions();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.springframework.jee.transaction.BusinessInterface#simpleMethod()
	 */
	public void simpleMethod() {
		delegate.simpleMethod();
	}

	/**
	 * @return Returns the delegate.
	 */
	public BusinessInterface getDelegate() {
		return delegate;
	}

	/**
	 * @param delegate
	 *            The delegate to set.
	 */
	public void setDelegate(BusinessInterface delegate) {
		this.delegate = delegate;
	}

}
