package org.springframework.jee.validation;

import java.lang.reflect.Method;

import junit.framework.TestCase;

import org.springframework.jee.JeeAnnotationUtils;
import org.springframework.jee.intercept.InterceptionMetadata;
import org.springframework.jee.validation.rules.InterceptionRules;

public class AnnotatedMethodSpecificationRuleTests extends TestCase {
	
	private Method validationMethod;
	
	@Override
	protected void setUp() throws SecurityException, NoSuchMethodException {
		validationMethod = InterceptionRules.class.getMethod("checkHasBusinessInterfaces", 
				new Class[] { InterceptionMetadata.class });
	}
	
	public void testAnnotationSearch() {
		EJB_3_0 ejb30 = validationMethod.getAnnotation(EJB_3_0.class);
		assertNotNull(JeeAnnotationUtils
			.findMethodAnnotation(EJB_3_0.class, 
					validationMethod, 
					InterceptionRules.class));
		
		SpecificationRule loc = new AnnotatedMethodSpecificationRule(EJB_3_0.class, ejb30, validationMethod, null);
		assertEquals(3, loc.getChapter());
		assertEquals(2, loc.getHeading());
		assertEquals(0, loc.getSubheading());
		//assertSame(validationMethod, loc.getMethod());
	}

}
