/*
 * Copyright 2002-2006 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package sample;

import javax.interceptor.AroundInvoke;
import javax.interceptor.InvocationContext;

/**
 * Extension of EngineControlBean that implements a control interface.
 * We want to demonstrate that the proxy will implement this interface
 * and that it will not be intercepted.
 * @author Rod Johnson
 *
 */
public class ContainerInterfaceImplementingEngineControlBean extends EngineControlBean 
					implements __DummyContainerControlInterface {
	
	public static int count;
	
	// This comes from the container control interface and should not be intercepted
	public boolean iAmATargetNotAnInterceptor() {
		return true;
	}
	
	@AroundInvoke
    public Object countCall(InvocationContext ic) throws Exception {
        ++count;
        return ic.proceed();
    }

}
