/*
 * Copyright 2002-2006 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package sample;

import javax.annotation.Resource;

/**
 * Class that tests injection of static members
 * JEE 9.4
 * @author Rod Johnson
 *
 */
public class InjectedClassWithStaticFields {
    
    @Resource
    private static EngineControl engineControl;
    
    public InjectedClassWithStaticFields() {
    	throw new UnsupportedOperationException("Instance should not be constructed, J2EE 5.2.3");
    }
    
    public static void main(String[] args) {
		if (engineControl == null) {
			throw new IllegalStateException("Static field not injected");
		}
	}

}
