package sample.aspectj;

import java.util.LinkedList;
import java.util.List;

import org.aspectj.lang.JoinPoint;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;

/**
 * At AspectJ-style aspect applicable to JEE components
 * @author rodj
 *
 */
@Aspect
public class TraceAspect {
	
	public List<String> namesOfInvokedMethods = new LinkedList<String>();
	
	public List<Object> targets = new LinkedList<Object>();
	
	@Before("execution(* *.st*(..) )")
	public void logMethodName(JoinPoint jp) {
		namesOfInvokedMethods.add(jp.getSignature().getName());
		targets.add(jp.getTarget());
	}

}
