/*
 * Copyright 2002-2006 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package sample.intercept;

import javax.ejb.Stateless;
import javax.interceptor.Interceptors;

import sample.CountInterceptor;
import sample.EngineControl;

@Stateless
@Interceptors(CountInterceptor.class)
public class MultiInterceptorEngineControlBean implements EngineControl {

	public static int startCalls = 0;
	
	@Interceptors(StartInterceptor.class)
	public void start() {
		startCalls++;
	}

	@Interceptors(StopInterceptor.class)
	public void stop() {
	}
	
	@Interceptors(StartInterceptor.class)
	public void startAgain() {
	}

}
